Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml
[Java] Class SAXBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              groovy.xml.SAXBuilder

    public class SAXBuilder
    extends BuilderSupport

A builder for generating W3C SAX events. Use similar to MarkupBuilder.

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`SAXBuilder(org.xml.sax.ContentHandler handler)`

Method Summary
`protected java.lang.Object` | `createNode(java.lang.Object name)`
`protected java.lang.Object` | `createNode(java.lang.Object name, java.lang.Object value)`
`protected java.lang.Object` | `createNode(java.lang.Object name, java.util.Map attributeMap, java.lang.Object text)`
`protected java.lang.Object` | `createNode(java.lang.Object name, java.util.Map attributes)`
`protected void` | `doStartElement(java.lang.Object name, Attributes attributes)`
`protected void` | `handleException(org.xml.sax.SAXException e)`
`protected void` | `nodeCompleted(java.lang.Object parent, java.lang.Object name)`
`protected void` | `setParent(java.lang.Object parent, java.lang.Object child)`

Methods inherited from class BuilderSupport
createNode, createNode, createNode, createNode, doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate, setCurrent, setParent

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SAXBuilder

    public SAXBuilder(org.xml.sax.ContentHandler handler)

Method Detail

### createNode

    protected java.lang.Object createNode(java.lang.Object name)

### createNode

    protected java.lang.Object createNode(java.lang.Object name, java.lang.Object value)

### createNode

    protected java.lang.Object createNode(java.lang.Object name, java.util.Map attributeMap, java.lang.Object text)

### createNode

    protected java.lang.Object createNode(java.lang.Object name, java.util.Map attributes)

### doStartElement

    protected void doStartElement(java.lang.Object name, Attributes attributes)

### handleException

    protected void handleException(org.xml.sax.SAXException e)

### nodeCompleted

    protected void nodeCompleted(java.lang.Object parent, java.lang.Object name)

### setParent

    protected void setParent(java.lang.Object parent, java.lang.Object child)

Groovy Documentation